### Method

# GVnc ColorMap set

#### Declaration [src]

    gboolean
    vnc_color_map_set (
      VncColorMap* map,
      guint16 idx,
      guint16 red,
      guint16 green,
      guint16 blue
    )

#### Description [src]

Update the RGB value associated with the color map entry at position `idx`.

#### Parameters

`idx`

  Type: `guint16`

  The index to set.

`red`

  Type: `guint16`

  The new red value.

`green`

  Type: `guint16`

  The new green value.

`blue`

  Type: `guint16`

  The new blue value.

#### Return value

Type: `gboolean`

TRUE if `idx` was in range, FALSE otherwise.